The Contact Center Enterprise (CCE) Solution Compatibility Matrix includes all the Cisco CCE solutions and component compatibility information. This compatibility matrix specifies all supported configurations and versions for Release 12.5(1). The information in this compatibility matrix supersedes compatibility information in any other CCE documentation. If the Compatibility Matrix doesn’t state a configuration or version, then it doesn’t support it.


Note

  • The Compatibility Matrix specifies all supported third-party software (such as Nuance and Informix) and its versions. Support for these software versions and their interoperability depends on the release cycles (patches and upgrades) of the third-party software. For example, support for ESXi depends on VMware release cycles.

  • Cisco Hosted Collaboration Solution for Contact Center (HCS for CC) shares the same media kit as Cisco Unified CCE, which includes some components not supported in a Cisco HCS for CC deployment.

  • Packaged CCE: In Release 12.5(1), the multistage upgrade support is backward compatible with Release 12.0 only. For all releases prior to 12.0, all components must be on the same release.

    Exception: Cisco Unified CM (CUCM) can continue to be on an earlier compatible release for an off-box solution deployment.

  • Support for a CUCM release is inclusive of all updates.

  • The Cloud Connect component can be deployed with Enterprise Solution.

  • For details on the browsers that are supported by Cisco Webex Experience Management, see Experience Management . For the languages that are supported by Cisco Webex Experience Management, see Experience Management.

  • Upgrade all the solution components to experience the new features delivered as part of a particular solution release version. Upgrading only the component that delivers the new feature may not be sufficient in all cases. For more information on upgrade paths, see the CCE Upgrade Flowcharts in the respective Contact Center Enterprise Installation and Upgrade Guides.

  • IP IVR 12.5(1) and IP IVR 12.5(1) SU1 are compatible with CCE 12.5(1).


PCCE/UCCE/HCS for CC Components, Release 12.5 PCCE/UCCE/HCS for CC Components, Release 12.0
IdS (Standalone) Finesse ECE CVP VVB CUIC (Standalone) CUIC-LiveData-IdS (Coresident) Router Logger AW Live Data (Standalone) PG SocialMiner

CCMP/ CCDM

Notes
Identity Server (Standalone) Y Y Y Y
Finesse N N Y N Y Y Y Y For Live data gadgets to load in Cisco Finesse, install CUIC 12.0(1) ES 06 or later on Live Data (Standalone) server. See Notes for more information.
ECE N Y Y Y
CVP Y Y Y Y Y

On PCCE 12.0, install CCE 12.0 ES37 before you upgrade CVP to 12.5(1).

VVB Y
CUIC (Standalone) N N Y Y
CUIC-LiveData-IdS (Coresident) N N N Y
Router N N N Y N N
Logger N Y N N
AW N N N N N N N Y N N
Live Data (Standalone) N N N N Y
PG N N N N N N N N
Customer Collaboration Platform N Upgrade MR PG and CCP in the same maintenance window
CCMP Y Y Y Y Not Applicable to Packaged CCE.
CCDM Y Y Y Y Applicable only to HCS for CC.

Cloud Connect

N

N

N

N

Unified CCE/HCS for CC Components, Release 12.5

Unified CCE/HCS for CC Components, Release 11.6

IdS (Standalone) Finesse ECE CVP VVB CUIC (Standalone) CUIC-LiveData-IdS (Coresident) Router Logger AW Live Data (Standalone) PG SocialMiner

CCMP/ CCDM

Notes
Identity Server (Standalone) Y Y Y Y
Finesse N N Y N Y Y Y Y For Live data gadgets to load in Cisco Finesse, ensure to install CUIC 11.6(1) ES18 or later on Live Data (Standalone) server. See Notes for more information.
ECE N Y Y Y

ECE 12.5 is not compatible with Packaged CCE 11.6.

CVP Y Y Y Y Y
VVB Y
CUIC (Standalone) N N Y Y
CUIC-LiveData-IdS (Coresident) N N N Y
Router N N N Y N N
Logger N Y N N
AW N N N N N N N Y N N
Live Data (Standalone) N N N N Y
PG N N N N N N N N
Customer Collaboration Platform N Upgrade MR PG and Customer Collaboration Platform in the same maintenance window
CCMP Y Y Y Y

CCMP is not applicable to Packaged CCE.

On UCCE and HCS for CC 11.6, install UCCE 11.6(1) ES 7 before you upgrade CCMP to 12.5(1).
CCDM Y Y Y Y

CCDM is applicable only to HCS for CC.

On HCS for CC 11.6, install UCCE 11.6(1) ES 7 before you upgrade CCDM to 12.5(1).

Cloud Connect

N

N

N

N

Notes

  • CCE 12.5 supports Cisco Smart Software Manager (CSSM) On-Prem 7.x and 8.x. Install UCCE 12.5(1) ES 33 for CSSM On-Prem 8.x support.

  • CUCM, releases 11.5, 12.0, and 12.5 are supported with Unified CCE, Packaged CCE and HCS for CC, Release 12.5.

  • Cisco Unified Contact Center Management Portal (CCMP), Release 12.5 is supported with CUCM, releases 11.5, 12.0, and 12.5.

  • In Live Data (standalone) 11.6 and 12.0 deployments, when CUIC and Cisco Finesse components are in version 12.5, Live Data gadgets will not load in Cisco Finesse. You must enable Cross-Origin Resource Sharing (CORS) and set Finesse host URLs to load the Live Data gadgets.

    For more information on CORS CLIs, see the Cisco Unified Contact Center Enterprise Installation and Upgrade Guide at https://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-enterprise/products-installation-guides-list.html.

Cisco Gateway Hardware and Software

Gateway Functionality
Central Controller version 12.5(1) Model Software Version Software Feature Set

VXML Gateway Browser

Call Progress Analysis for Outbound Options for SIP Trunks (CUBE)

Unified CCE, Packaged CCE, And Cisco HCS for CC Support

ASR 1001X

ASR 1002X

ASR 1004 RP2

ASR 1006 RP2

IOS XE 16.6 Universal No Yes Yes
IOS XE 16.9
IOS XE 16.12
IOS XE 17.2
CSR 1000v IOS XE 16.6 Universal No No Yes
IOS XE 16.9
IOS XE 16.12
IOS XE 17.2
ISR G2 29xx, 39xx, 39xxE 15.6(3)M1 Universal Yes Yes Yes
15.7(3)M1

ISR G3 43xx (4321, 4331, 4351)

ISR G3 44xx (4431, 4451, 4461)

IOS XE 16.6 Universal No Yes Yes
IOS XE 16.9
IOS XE 16.12
IOS XE 17.2

Notes

  • All gateways in the preceding table support inbound contact center calls. For details on support for Call Progress Analysis (CPA) for Outbound Option with TDM Trunks, see the Cisco ASR 1000 Series documentation at https://www.cisco.com/c/en/us/support/routers/asr-1000-series-aggregation-services-routers/products-documentation-roadmaps-list.html

  • For IPv6-enabled deployments, the supported IOS versions for NAT64 translations are 15.4(2)T3 and later releases.

  • Multi-VRF requires IOS XE 16.3.4 to support HCS for CC.

  • The Contact Center Enterprise solutions are qualified with vCUBE (CUBE on CSR 1000v) Fuji release versions 16.9.1 and 16.9.2.

  • Unified CVP supports the listed IOS release trains and their later M or T trains respectively. For example, gateways supporting 16.1(4)M3 will also support 16.1(4)M4 and 16.1(4)M7, but not 16.1(4)M1 and 16.1(4)M2.

  • The Virtual Assistant–Voice (VAV) feature is supported only on Unified CVP and Cisco VVB. It isn’t supported with the VXML Gateway.

IOS Versioning Key 16.1(4) M3 and 16.1(4) T1 as Examples

  • 16.1 is the version number.

  • (4) is the release number.

  • M3 and T1 are the train release numbers. M is the mainline train and T is the technology train.

  • An increment in the release number after M or T refers to additional bug fixes.

IOS-XE Versioning Key 16.12.1a and 16.12.3 as Examples

  • 16.12 is the version number.

  • 1 and 3 are the increment release numbers with additional bug fixes.

  • "a" indicates a special release.

  • Every three releases include a maintenance release incremented as 16.3, 16.6, 16.9, 16.12, 17.3, and so on.

Cisco Unified SIP Proxy

Supported Versions: Cisco Unified SIP Proxy (CUSP) 9.1(x), 10.0(x), 10.1(x), and 10.2(x).

Notes

Unified CCE, Packaged CCE, and HCS for CC solutions support CUSP 10.0(x), 10.1(x), and 10.2(x) only in non-secure mode.

Endpoints for Agents and Callers

Endpoint Voice & Finesse Desktop Video Unified CM Silent Monitor

BIB-based recording

Agent Greeting Whisper Announcements Finesse IP Agent Phone IPv6 SCCP (UCCE Only) IPv6 SIP MRA
7821, 7841, 7861 Y N Y Y Y Y Y N Y Yes Audio Only
7925G, 7925G-EX Y N N N N N N N N/A N
7942G, 7945G, 7962G, 7965G, 7975G Y N Y Y Y Y N Y N N
8811, 8821, 8841, 8851, 8851NR, 8861 Y N Y Y Y Y Y N Y Yes Audio Only
8845, 8865 Y Y Y Y Y Y Y Y Y Yes Audio Only
8941, 8945 Y Y Y Y Y Y N N N N
8961 Y Y Y Y Y Y N N Y N
9951, 9971 Y Y Y Y Y Y N N Y N
C40, C60, C90 Telepresence Y Y N N N N N N Y N
EX60, EX90 Y Y N N N N N N Y N
Jabber for Mac Y Y Voice only Y N Y N N N Y
Jabber for VDI Y N N N N N N N N Y
Jabber for Windows Y Y Voice-only Y Y Y N N N Y
Webex for MacOS/Windows

Y

Y

Y

Y

N

N

N

N

Y

Y

Cisco IP Communicator 8.6(4) and later

Y

N

Y

Y

Y

Y

N

N

N

N

MX300 G2, MX700, MX800 Telepresence Y Y N N N N N N Y N
SX10, SX20, SX80 Telepresence Y Y N N N N N N Y N

Notes

  • General: Only the Cisco IP Phones listed in the preceding table are supported as contact center agent phones. As an alternative, you can deploy the Mobile Agent solution to enable the contact center to use any phone as an agent phone.

  • General: The Join Across Line (JAL) and Direct Transfer Across Line (DTAL) phone features aren’t supported, and must be disabled on phones that come packaged with these features and local CTI ports (LCP) for Mobile Agent.

  • General: For any phone that allows Single-Line Mode, you can use Shared Line on a non-ACD line. You must have your PG in Single-Line Mode (set the Agent Phone Line Control setting to Single Line).

  • General: Other than call initiation, all other call control on the non-ACD extensions is supported from multiline capable desktops. Calls initiated from the hard phone can be controlled after initial call setup.

  • General: Call Park isn’t supported on ACD and non-ACD lines.

  • 78xx: If Cisco Finesse IPPA agents use 78xx series phone, you must either disable the Cisco Finesse IPPA Inactivity Timeout feature or increase the timeout in the range of 120 seconds to one day (86400 seconds), so that the agent doesn’t get logged out of Cisco Finesse IPPA even if the agent is on any other screen.

  • 88xx phones are supported only with desktop controls in the Standard Line mode. If both desktop and device controls are required, use the Enhanced Line mode.

  • 89xx and 99xx: 89xx and 99xx series phones don’t support video prompt and queue.

  • 89xx, 99xx: These phones don’t support directly disabling the Join Across Line (JAL) and Direct Transfer Across Line (DTAL) phone features. Instead, you must configure the Unified CM PG to use Multi-Line only. This setting applies to all phones controlled by that specific Unified PG. You cannot configure it on a phone-by-phone basis. Also, configure all phones with Set Maximum number of calls to 2 and Set Busy trigger to 1.

  • Webex:

  • Jabber:

Endpoints Supported for Callers Only

Callers outside of the enterprise's network can use the following endpoints:

  • Jabber for iOS

  • Jabber for Android

Single Sign On (SSO) Identity Providers (IdPs)

Unified CCE supports all SAML 2.0 compliant IdPs.

See the documentation of your IdP for details on configuring the IdP in CCE.

The following is the list of SAML 2.0 compliant IdPs that are tested with this Unified CCE release:

Identity Providers

Versions

Microsoft AD FS (Active Directory Federation Services)

AD FS 4.0: Windows Server 2016

AD FS 3.0: Windows Server 2012 R2

PingFederate 8.2.2.0
OpenAM 10.0.1
Shibboleth 3.3.0
F5 13

Notes

  • CCMP and Cisco Unified Contact Center Domain Manager (CCDM), Release 12.5 support Microsoft AD FS 2012 R2 and 2016 with WS-Federation via JSON Web Token (JWT).

    However, user authentication access for CCMP and CCDM can be provided by one of the supported IdPs via Federated Trust with Microsoft AD FS. Federated Trust is supported per Microsoft AD FS and third-party IdP documentation and support.

  • Kerberos is supported for single-domain authentication (non-federated environments). Kerberos isn’t supported on HCS for CC.

  • For ECE:

    • Agent-based users have the same compatibility as Cisco IDS.

    • Supervisors outside Cisco Finesse support any SAML 2.0 complaint IDP.

Transport Layer Security

The Unified CCE database access encrypts SQL user authentication using TLS, but the data connection isn’t encrypted.

12.5 Component TLS 1.2
Web Interfaces Database Access
PCCE
UCCE/ICM
AW Distributor/HDS/Logger N/A
Internet Script Editor N/A
CCE Admin
Web Setup
Diagnostic Portal N/A
Live Data
CTIOS C++ CIL N/A
SQL Gateway - DB Lookup N/A
Protocol - CTI Server and Media Routing N/A
CVP

N/A
VVB

N/A

IdS

N/A

Finesse

CUIC

ECE

Live Data

N/A

Customer Collaboration Platform

N/A

CCMP/CCDM

X

ACD

X N/A

UC Manager

N/A

Client Operating System

Components

Clients OS

Cisco Finesse Microsoft Windows 10
Mac OS X 10.12, 10.13, and 10.14
ChromeOS 70 (64-bit) and higher
Cisco Unified Call Studio Microsoft Windows 10 (64-bit)
Administration Client

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Microsoft Windows 10 (Enterprise and Professional)
Internet Script Editor (ISE) Microsoft Windows 10 (Enterprise and Professional)
Silent Monitor Service for Unified CCE Toolkit Microsoft Windows 10 (Enterprise and Professional)
CTI OS Clients Microsoft Windows 10 (Enterprise and Professional)
Note 

For more information on the supported versions of Microsoft Windows 10 with specific versions of .NET Framework, see the Microsoft documentation.

Notes

  • CTI OS is only supported for Unified ICM when used in conjunction with Avaya PG, Aspect PG, AACC (Symposium) PG, or non-reference design deployments like Parent-Child that employ Unified CCE System PG. The supported CTI OS version is aligned with the supported PG version. The supported CTI OS desktop versions are 11.6(x) or later.

  • CTI OS and CAD are not supported from Unified CCE, Release 11.5(x). New and existing deployments upgrading to Unified CCE release 12.0(1) or later must use Finesse desktop instead of CTI OS and CAD.

  • Silent Monitoring Service is not supported on CTI OS deployments starting with Unified CCE release 11.5(1).

Supported Browsers

Operating System

Browser Version

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Internet Explorer v11.3085.14393.0 or later in Native Mode

Chrome v76.0.3809 or later

Firefox Extended Supported Release (ESR) 68 and later ESRs

Edge Chromium (Microsoft Edge v79 and later)

Microsoft Windows 10

Internet Explorer v11.345.17134 or later in Native Mode.

Google Chrome v76.0.3809 or later.

Firefox ESR 68 and later ESRs

Edge Chromium (Microsoft Edge v79 and later)

Mac OS X

Firefox ESR 68 and later ESRs.

Google Chrome v76.0.3809 or later.

Chromebook with Chrome OS v70

Chromium v73 or later.

Google Chrome v60 or later.

Notes

  • Unified CCE Administration requires full screen view of the browser with the minimum resolution of 1366 x 768.

  • All browsers must support SHA-256 certificates.

Browser Exceptions

Server Operating System

Components Server OS
Unified CCE, Packaged CCE, ICM, HCS for CC, and System PG

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Unified CVP

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Enterprise Chat and Email

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Unified CCMP

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Unified CCDM

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Silent Monitor Server

Microsoft Windows Server 2016 (Standard and Datacenter editions)

CTI OS Server

Microsoft Windows Server 2016 (Standard and Datacenter editions)

Notes

  • Unified ICM/CCE is qualified only on a retail installation of the Microsoft Windows Server (Standard and Datacenter editions). Cisco doesn't support Unified ICM/CCE on a customized Microsoft Windows image (for example, a corporate image). If you use a customized image of the Microsoft Windows operating system, the Unified ICM/CCE application can fail.

SQL Server and Informix Versions

Components

SQL Server Version

Unified CCE, Packaged CCE, ICM, and HCS for CC
  • Microsoft SQL Server 2017 (Standard and Enterprise editions) with cumulative updates

    Note 

    Unified CCE supports the 64-bit version of Microsoft SQL Server 2017 only.

Unified CVP

IBM Informix Dynamic Server Version 14.10.FC1

Enterprise Chat and Email
  • ECE 400 agent deployment: Microsoft SQL Server 2016 SP2 Standard and Enterprise editions are supported.

  • ECE 1500 agent deployment: Microsoft SQL Server 2016 SP2 Standard and Enterprise editions are supported.

  • ECE Geographically Redundant/High Availability installation: Microsoft SQL Server 2016 Enterprise editions are required.

Unified CCMP

Microsoft SQL Server 2016 SP2 Standard edition

Unified CCDM

Microsoft SQL Server 2016 SP2 Standard edition

Java JRE and JDK

This release supports the following Java Runtime Environment (JRE) versions.

  • CCE uses 32-bit OpenJDK 1.8 update 272 or later with the 12.5(1a) base installer and 12.5(1) ES55 onwards. 12.5(1) installations prior to ES55 support Oracle JRE 1.8 update 181 or later.

  • CVP uses 64-bit OpenJDK 1.8 update 275 or later with the 12.5(1a) base installer and 12.5(1) ES18 onwards. 12.5(1) installations prior to ES18 support Oracle JRE 1.8 update 222 or later.

  • Unified CVP, Cisco Unified Intelligence Center and Live Data, and Cisco Finesse use Oracle JRE version 1.8 (64 bit), update 222.

  • Cisco VVB uses JDK version 1.7, update 231 and JDK version 11.0.2.

  • Cisco Enterprise Chat and Email, Cisco CCMP and CCDM use JRE version 1.8 (32 bit), update 121 or later updates of version 1.8.

  • For instructions on applying newer Java security updates, see Security Guide for Cisco Unified ICM/Contact Center Enterprise guide at http://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-enterprise/products-installation-and-configuration-guides-list.html.

Supported Languages

Unified CCE Administration

Unified CCE Reporting Templates

Unified Intelligence Center

Finesse

Customer Collaboration Platform

Enterprise Chat and Email

CCMP/CCDM

Bulgarian

No

Yes

Yes

Yes

Yes

No

No

Catalan

No

Yes

Yes

Yes

Yes

No

No

Chinese (China)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Chinese (Taiwan)

Yes

Yes

Yes

Yes

Yes

Yes Yes

Croatian

No

Yes

Yes

Yes

Yes

No

No

Czech

No

Yes

Yes

Yes

Yes

Yes

No

Danish

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Dutch

Yes

Yes

Yes

Yes

Yes

Yes

Yes

English (United States)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Finnish

No

Yes

Yes

Yes

Yes

No

No

French (France)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

French (Canada)

No

No

No

No

No

Yes

Yes

German

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Hungarian

No

Yes

Yes

Yes

Yes

No

No

Italian

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Japanese

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Korean

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Norwegian

No

Yes

Yes

Yes

Yes

No

No

Polish

No

Yes

Yes

Yes

Yes

Yes

No

Portuguese (Brazil)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Romanian

No

Yes

Yes

Yes

Yes

No

No

Russian

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Serbian

No

Yes

Yes

Yes

Yes

No

No

Slovenian

No

Yes

Yes

Yes

Yes

No

No

Slovakian

No

Yes

Yes

Yes

Yes

No

No

Spanish

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Swedish

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Turkish

No

Yes

Yes

Yes

Yes

No

Yes

Microsoft .NET Framework

  • Microsoft Windows Server 2016 (Standard and Datacenter editions) comes with pre-installed .NET version 4.6.2. Unified CCE Administration client installs .NET version 4.7.2 on Windows 10 system. Unified CCE 12.5(1) installs Microsoft .NET Framework version 4.7.2.

  • CTI OS Client 12.5(1) installs Microsoft .NET Framework version 4.7.1.

Other Supported Software

Function

Software

Microsoft Active Directory

Microsoft Active Directory versions 2012 R2 and 2016 are supported with Unified ICM/Unified CCE, Packaged CCE, and HCS for CC solutions.

Remote Administration

For Remote Desktop usage information, see the Remote Administration section in the Security Guide for Cisco Unified ICM/Contact Center Enterprise.

Antivirus Software The following Antivirus software was tested:
  • McAfee Endpoint Security 10.x

  • Symantec Endpoint Protection 14.2 with latest MP

  • Trend Micro Deep Security 11.0

  • Cisco Advance Malware Protection (AMP). For the AMP version currently supported by your Windows OS, see AMP for Endpoints Windows Connector OS Compatibility.

See the Cisco Customer Contact Software Policy for Use of Third-Party Software Bulletin at: https://www.cisco.com/c/en/us/products/collateral/customer-collaboration/unified-ip-interactive-voice-response-ivr/prod_bulletin09186a0080207fb9.html

Virtualization For more information about virtualization for all Unified CCE components, see the Unified Communications in a Virtualization page https://www.cisco.com/c/dam/en/us/td/docs/voice_ip_comm/uc_system/virtualization/cisco-collaboration-virtualization.html.

Unified Intelligence Center reporting

Microsoft Excel Versions 2013, 2016 and Office 365.

Note 

Office 365 doesn’t support Authenticated excel report permalink.

Virtual Desktop Infrastructure Support

Cisco Client Type Virtual Desktop Infrastructure
Cisco Finesse and CUIC VMware View 5.x.
VMware Horizon 6.x and 7.x.
Citrix XenDesktop 7.x

Notes

  • Unified Communications Manager Silent Monitoring is the only silent monitoring type supported with VDI.

  • Desktop solutions are only supported on PC-like devices that utilize a keyboard and mouse. Tablets and mobile devices aren’t currently supported.

  • You can use any VDI endpoint that supports the specific Citrix or VMware VDI solution versions supported by Cisco. Verify that the bandwidth and deployment considerations of the solution meet the performance and timing requirements.

  • Cisco Unified Contact Center Enterprise Administration isn’t supported on virtual desktops.

Application Virtualization

Cisco Client Version Citrix/XenApp Remote Desktop Services Platform
Cisco Finesse and CUIC XenApp 7.x

Microsoft Windows Server 2016

Automatic Speech Recognition and Text to Speech

Category Requirements
Nuance Software Cisco Virtualized Voice Browser (VVB) was tested for interoperability with the following Nuance components:
Nuance Recognizer 11
Nuance Recognizer 10.5 (NR10.5):
Nuance Recognizer 10.5
Nuance Recognizer 10 (NR10):
Nuance Recognizer 10.2.7.2016030212 x86_64 - Package revision 16062
Voice Pack for Recognizer 10.2.0
Vocalizer for Enterprise 6.0.5.2015041409
Vocalizer for Enterprise 6.0.5.15104
Nuance Vocalizer 7
Nuance Vocalizer 6.2
Voice Pack for Vocalizer 6.0.3
Nuance Speech Server 6.2.8 - Package revision 15189
Note 

Contact Nuance support for compatibility of later dot releases of Nuance components with Cisco VVB.

Operating System Use vendor-recommended operating system software.

Load Balancers

These Cisco components support third-party load balancers in redirect mode.

  • Unified CCE

  • Unified CVP

  • Unified Intelligence Center

  • Finesse

  • Enterprise Chat and Email

Third-party load balancers must meet these requirements:

  • Both SSL offloading and SSL pass through must be supported

  • Load Balancer High Availability

  • Session stickiness is mandatory for Unified Intelligence Center

  • Persistence - cookie-insert

  • Distribution algorithm - Round-robin

See these documents for the interoperability notes and any known caveats of F5 Big-IP and Citrix NetScalar 1000v:


Note

For specific interfaces where you can use load balancers in your deployment, see the Solution Design Guide for Cisco Unified Contact Center Enterprise at https://www.cisco.com/c/en/us/support/customer-collaboration/unified-contact-center-enterprise/products-implementation-design-guides-list.html.


Non Reference Design Compatibility

Unified CCE Parent Child Compatibility

Release Parent PG 11.6(x) Parent PG 12.0(x) Parent PG 12.5(x)
Child PG 11.6(x) Yes Yes Yes
Child PG 12.0(x) Yes Yes Yes
Child PG 12.5(x) Yes Yes Yes

ICM-to-ICM Gateway Compatibility

ICM Client ICM Server

12.5

12.5

12.5

12.0

12.5

11.6

12.0

12.5

11.6

12.5


Note

Packaged CCE 12.5 and 12.0(1) ES26 (and above) versions support ICM-to-ICM Gateway in 4000 and 12000 Agent deployments only.


Third Party ACDs

Aspect Call Center with CMI

Switch Version CMI (Contact Server) ICM 11.6 Notes
v9.3 CMI v6.4 Yes CMI v6.4 is supported only on Win2k8.

Avaya

Avaya Considerations
  • Avaya changed names from DEFINITY to MultiVantage to Avaya Communications Manager (ACM) to Avaya Aura Communications Manager (AACM).

  • Cisco HCS for CC supports Avaya Peripheral Gateways.

  • Packaged CCE 12.5 and 12.0(1) ES26 (and above) versions support Avaya Peripheral Gateways for AACM in the 4000 and 12000 Agent deployments only.

  • Real-Time Agent (RTA) 5.0.5 and 6.0 enhanced functionality (60 skills per agent and 2000 skill groups per system) are not supported by ICM.

  • ICM does not support more than 12000 active associations on a single system.

  • All Call Management System (CMS) versions are supported as long as a supported RTA is used.

  • Cisco supports the Avaya S8300, S8400, S85XX, S87XX, and S88XX Servers in support of ACM.

  • Cisco supports the general use of Avaya IP Phones.

  • Although Avaya stopped supporting the CVLAN interface in 2012, Unified CCE still uses this interface to communicate with Avaya products.

  • Avaya Multi-Application Platform for DEFINITY (MAPD) is not supported.

  • Support for third-party ACD clients, SDKs, and interfaces integrated with ICM stops when the third-party ACD manufacturer ends mainstream support.

  • Ten-digit Agent extensions and Agent IDs are supported from ICM 9.0(3) and later that have ACM 6.2 and later, AES 6.2 and later, and CMS R16 with RTA 6.0 pl: 13g.

Avaya CMS RTA Support
RTA Version ICM/Packaged CCE 12.5
6.0(x)

Yes

6.0 Extended

No

Avaya Communications Manager (ACM) Support
ACM Version ICM/Packaged CCE 12.5
ACM 6.3 (x) to 8.1 (x)

Yes

Notes on Avaya Communications Manager Support

Avaya Product Support Notice patch PSN020249u is required for ACM 7.0 (x) and above. For details, see the Product Support Notice at https://downloads.avaya.com/css/P8/documents/101020687.

AES Server and CVLAN/TSAPI Client Support
AES Server CVLAN Client Supported TSAPI Client Supported ICM/Packaged CCE 12.5
6.3 (x) to 8.1(x) Yes Yes Yes
Notes on AES Server and CVLAN/TSAPI Client Support

ICM/Packaged CCE 12.5 supports all CVLAN Client and TSAPI Client versions currently supported by Avaya.


Note

Support for an ACM or AES version depends on the Avaya release cycles (patches and upgrades). For more details, see Avaya documentation.


Avaya Nortel

These notes apply to the support of Avaya/Nortel's ACD switch types:

  • Cisco only supports certain Succession platforms with Symposium. See the following chart for details.

  • Cisco does not support more than one PG pair connected to a single Symposium server.

  • You must request the SCCS Toolkit from Cisco. To do so, send an email with the following information to icm-nortelpg-sdk@cisco.com:

    • Customer name

    • Maintenance contract number

    • ICM version

    • PG version

    • Number of PGs

Avaya Aura Contact Center
AACC Version ICM 12.5
6 Yes
6.4 Yes
7.1 Yes
Notes to Avaya Aura Contact Center

The Automated Administrator for Symposium (AAS) feature is not supported with AACC 6.4.

Nortel SDK
ACD Version ICM 12.5 Notes
Nortel SDK 5.0 (with SCCS 5.0 and NCCM 6.0) No As of September 2008, Nortel does not provide support for SCCS 5.0.
Nortel SDK 6.0 (with NCCM 6.0, NCCM 7.0 and AACC 6.0) Yes For HDX 6, you must install RTD 6 on the PG.
Note: SDKs are not integrated with ICM.
Notes to Nortel SDK
  • Cisco does not support any major ACD version not shown in this matrix.

  • Nortel Contact Center Manager (NCCM), earlier known as Symposium (SCCS), was renamed to Avaya Aura Contact Center (AACC).

CTI Support for ACD Types

ACD Vendor ACD Model CTI Server Protocol Support CTI OS Support

Avaya

Avaya Communication Manager v6.3 to v8.1 (over CVLAN and TSAPI)

Yes

Yes

Cisco

Unified CCE (only when integrated via Unified CCE System PG)

Yes

Yes

Avaya

AACC v6.0, v6.4, v7.1

Yes

Yes